<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Notification\Email\NotificationEmailMessages;

readonly class SendImmediateNotificationEmailMessage
{
    public function __construct(
        private int $notificationId,
        private int $addresseeId,
    ) {}

    public function getNotificationId(): int
    {
        return $this->notificationId;
    }

    public function getAddresseeId(): int
    {
        return $this->addresseeId;
    }
}
